/*******************************************************
***
*** Get Input Player Name
*** Get Player X,Y
***
*** Change Player Spriteset to raft
*** Detach input from player
*** Move player
*** Change map
*** Move player
*** Change Spriteset back to walking
*** Reattach input to player
***
*******************************************************/

function CreateRaft(x,y,layer,pss)
{
DestroyPerson("UrNoLink");

CreatePerson ("LinkRaft", pss, false); 
AttachCamera ("LinkRaft"); 
SetPersonX("LinkRaft", x);
SetPersonY("LinkRaft", y);
SetPersonLayer("LinkRaft", layer);
}

function MoveRaft(name, command, tiles, immediate) 
{ 

  switch (command) 
  { 
    case COMMAND_MOVE_NORTH: 
      QueuePersonCommand(name, COMMAND_FACE_NORTH, immediate); 
      for (var i = 0; i < GetTileHeight() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_SOUTH: 
      QueuePersonCommand(name, COMMAND_FACE_SOUTH, immediate); 
      for (var i = 0; i < GetTileHeight() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_EAST: 
      QueuePersonCommand(name, COMMAND_FACE_EAST, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_WEST: 
      QueuePersonCommand(name, COMMAND_FACE_WEST, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break;
    
    case COMMAND_WAIT: 
      QueuePersonCommand(name, COMMAND_WAIT, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break;    
  } 
}

function toA3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 3, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 1, false);
}

function atA3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 4, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
}

function toB3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_SOUTH, 2, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 1, false);
}

function atB3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 6, false);
}


function toL6()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 5, false);
} 

function atL6()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 1, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 1, false);
}


function toL5()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
}

function atM1()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 4, false);
}

function atM2()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
}

function atL2()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_SOUTH, 9, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 11, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 2, false);
} 

function atK2()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 12, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 4, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 7, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 4, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 5, false);
}

function atK3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 7, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 6, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
}

function atK4()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
}

function atL4()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 4, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 4, false);
}

function atL5()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 11, false);
}


function toK6()
{ 
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 6, false);
MoveRaft("LinkRaft", COMMAND_MOVE_SOUTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_SOUTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
} 

function atK6()
{
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 1, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
}

function toL7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 10, false);
}

function atL7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 16, false);
}

function atM7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 16, false);
}

function atN7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_SOUTH, 1, false);
AttachInput("LinkRaft");
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 12, false);
}

function atO7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 13, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 2, false);
}

function atP7()
{
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 14, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 9, false);
}

function atP6()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 14, false);
}

function atP5()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 2, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 8, false);
}

function atP4()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_EAST, 1, false);
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 7, false);
}

function atP3()
{
MoveRaft("LinkRaft", COMMAND_MOVE_NORTH, 3, false);
MoveRaft("LinkRaft", COMMAND_MOVE_WEST, 3, false);
}


function DestroyRaft(x, y, layer, pss, direction)
{

DestroyPerson("LinkRaft");
CreatePerson("UrNoLink", pss, false);
SetPersonX("UrNoLink", x);
SetPersonY("UrNoLink", y);
SetPersonLayer("UrNoLink", layer);
SetPersonDirection("UrNoLink", direction);
AttachCamera("UrNoLink");
AttachInput("UrNoLink");

}


function NorthernRaft(PlayerLayer, MapName)
{
 
 var PlayerName="LinkRaft"
 var PlayerX=GetPersonX(PlayerName);
 var PlayerY=GetPersonY(PlayerName);
 var MapName
 var PlayerLayer
 
 var NewPlayerY = (440 - PlayerY) - 15;

  if (MapName) ChangeMap(MapName); 
  if (PlayerLayer >= 0) SetPersonLayer(PlayerName, PlayerLayer); 
  SetPersonX(PlayerName, PlayerX);
  SetPersonY(PlayerName, NewPlayerY);

}

function EasternRaft(PlayerLayer, MapName)
{
 
 var PlayerName="LinkRaft"
 var PlayerX=GetPersonX(PlayerName);
 var PlayerY=GetPersonY(PlayerName);
 var MapName
 var PlayerLayer
 
 var NewPlayerX = (640 - PlayerX) + 15;

  if (MapName) ChangeMap(MapName); 
  if (PlayerLayer >= 0) SetPersonLayer(PlayerName, PlayerLayer); 
  SetPersonX(PlayerName, NewPlayerX);
  SetPersonY(PlayerName, PlayerY);

}

function SouthernRaft(PlayerLayer, MapName)
{
 
 var PlayerName="LinkRaft"
 var PlayerX=GetPersonX(PlayerName);
 var PlayerY=GetPersonY(PlayerName);
 var MapName
 var PlayerLayer
 
 var NewPlayerY = (440 - PlayerY) + 15;

  if (MapName) ChangeMap(MapName); 
  if (PlayerLayer >= 0) SetPersonLayer(PlayerName, PlayerLayer); 
  SetPersonX(PlayerName, PlayerX);
  SetPersonY(PlayerName, NewPlayerY);

}

function WesternRaft(PlayerLayer, MapName)
{
 
 var PlayerName="LinkRaft"
 var PlayerX=GetPersonX(PlayerName);
 var PlayerY=GetPersonY(PlayerName);
 var MapName
 var PlayerLayer
 
 var NewPlayerX = (640 - PlayerX) - 15;

  if (MapName) ChangeMap(MapName); 
  if (PlayerLayer >= 0) SetPersonLayer(PlayerName, PlayerLayer); 
  SetPersonX(PlayerName, NewPlayerX);
  SetPersonY(PlayerName, PlayerY);

}